Loading...
Searching...
No Matches
FileDataProvider::FileDataProvider Class Reference

The main data provider class, provides API classes as children. More...

`#include <FileDataProvider.qc.dox.h>`

Inherits AbstractDataProvider.

## Public Member Functions

| constructor (*hash< auto > options)
| Creates the object from constructor options.
*list< hash< DataProviderSummaryInfo > > | getChildProviderSummaryInfo ()
| Return data provider summary info.
*string | getDesc ()
| Returns the data provider description.
string | getName ()
| Returns the data provider name.

## Public Attributes

const | ProviderInfo
| Provider info.

## Protected Member Functions

*AbstractDataProvider | getChildProviderImpl (string name)
| Returns the given child provider or NOTHING if the given child is unknown. More...
*list< string > | getChildProviderNamesImpl ()
| Returns a list of child data provider names, if any. More...
hash< DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.

## Detailed Description

The main data provider class, provides API classes as children.

## Member Function Documentation

## getChildProviderImpl()

*AbstractDataProvider FileDataProvider::FileDataProvider::getChildProviderImpl | ( | string | name | ) |

protected

Returns the given child provider or NOTHING if the given child is unknown.

Returns
  the given child provider or NOTHING if the given child is unknown

Exceptions

  CHILD-PROVIDER-ERROR | error acquiring child provider

See also
  getChildProviderEx()

## getChildProviderNamesImpl()

*list< string > FileDataProvider::FileDataProvider::getChildProviderNamesImpl | ( |  | ) |

protected

Returns a list of child data provider names, if any.

Returns
  a list of child data provider names, if any